---
updatedAt: 2026-04-22T15:20:35.000Z
agentTools:
  projectIndex: https://docs.data.one/llms.txt
---

# Get DataOne Risks Report

This report provides a series of metrics that are often identified as risk factors in credit decisions. All metrics are available over 90, 180 and 365 day lookback windows from the current date. This report is generated using categorisation version 43.0.0.

Note: This is a pre-built report that uses the GET /reports endpoint with the reportId specified explicitly.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "info": {
    "version": "v1",
    "title": "Reports",
    "description": "Endpoints relating to fetching reports for a user, which are collections of aggregated data points"
  },
  "paths": {
    "/v1/reports/data-one-risks-v2": {
      "get": {
        "tags": [
          "Standard v43"
        ],
        "operationId": "getDataOneRisksReportV2",
        "summary": "Get DataOne Risks Report",
        "description": "This report provides a series of metrics that are often identified as risk factors in credit decisions. All metrics are available over 90, 180 and 365 day lookback windows from the current date. This report is generated using categorisation version 43.0.0.\n\nNote: This is a pre-built report that uses the GET /reports endpoint with the reportId specified explicitly.",
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/QueryUserId"
          },
          {
            "$ref": "#/components/parameters/QueryAccountId"
          }
        ],
        "responses": {
          "200": {
            "description": "The report results with a map of the aggregations as configured in the report.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DataOneRisksReportResponseV2"
                }
              }
            }
          },
          "400": {
            "description": "Account IDs do not conform to UUID format."
          },
          "401": {
            "$ref": "#/components/responses/ApiKeyUnauthorizedError"
          },
          "403": {
            "description": "Access is forbidden if categorisation is disabled."
          },
          "404": {
            "description": "Report ID does not exist for partner."
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api-sandbox.data.one",
      "description": "Hostname for sandbox API."
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Secret API key used for authentication."
      }
    },
    "schemas": {
      "DataOneRisksReportResponseV2": {
        "type": "object",
        "description": "The report aggregation results are returned in the `queries` field as a map keyed by the query identifier.",
        "properties": {
          "reportId": {
            "$ref": "#/components/schemas/ReportId"
          },
          "categorisationVersion": {
            "$ref": "#/components/schemas/CategorisationVersion"
          },
          "queries": {
            "type": "object",
            "properties": {
              "buyNowPayLaterExpenditure90d": {
                "type": "object",
                "description": "Buy now pay later expenditure over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "buyNowPayLaterExpenditure180d": {
                "type": "object",
                "description": "Buy now pay later expenditure over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "buyNowPayLaterExpenditure365d": {
                "type": "object",
                "description": "Buy now pay later expenditure over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "cashExpenditure90d": {
                "type": "object",
                "description": "Cash withdrawals over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "cashExpenditure180d": {
                "type": "object",
                "description": "Cash withdrawals over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "cashExpenditure365d": {
                "type": "object",
                "description": "Cash withdrawals over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "cryptocurrencyExpenditure90d": {
                "type": "object",
                "description": "Cryptocurrency expenditure over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "cryptocurrencyExpenditure180d": {
                "type": "object",
                "description": "Cryptocurrency expenditure over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "cryptocurrencyExpenditure365d": {
                "type": "object",
                "description": "Cryptocurrency expenditure over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "debtManagementExpenditure90d": {
                "type": "object",
                "description": "Debt management expenditure over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "debtManagementExpenditure180d": {
                "type": "object",
                "description": "Debt management expenditure over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "debtManagementExpenditure365d": {
                "type": "object",
                "description": "Debt management expenditure over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "debtCollectionExpenditure90d": {
                "type": "object",
                "description": "Debt collection expenditure over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "debtCollectionExpenditure180d": {
                "type": "object",
                "description": "Debt collection expenditure over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "debtCollectionExpenditure365d": {
                "type": "object",
                "description": "Debt collection expenditure over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "gamblingExpenditure90d": {
                "type": "object",
                "description": "Gambling expenditure over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "gamblingExpenditure180d": {
                "type": "object",
                "description": "Gambling expenditure over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "gamblingExpenditure365d": {
                "type": "object",
                "description": "Gambling expenditure over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "gamblingIncome90d": {
                "type": "object",
                "description": "Gambling income over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "gamblingIncome180d": {
                "type": "object",
                "description": "Gambling income over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "gamblingIncome365d": {
                "type": "object",
                "description": "Gambling income over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "winningsIncome90d": {
                "type": "object",
                "description": "Lottery winnings income over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "winningsIncome180d": {
                "type": "object",
                "description": "Lottery winnings income over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "winningsIncome365d": {
                "type": "object",
                "description": "Lottery winnings income over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "returnedPaymentsIncome90d": {
                "type": "object",
                "description": "Returned payments over the last 90 days, refunds are not included.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "returnedPaymentsIncome180d": {
                "type": "object",
                "description": "Returned payments over the last 180 days, refunds are not included.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "returnedPaymentsIncome365d": {
                "type": "object",
                "description": "Returned payments over the last 365 days, refunds are not included.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "days": {
                          "$ref": "#/components/schemas/ReportAggregateDays"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "example": {
          "reportId": "data-one-risks-v2",
          "categorisationVersion": "43.0.0",
          "queries": {
            "buyNowPayLaterExpenditure90d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "buyNowPayLaterExpenditure180d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "buyNowPayLaterExpenditure365d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "cashExpenditure90d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 200
                }
              ]
            },
            "cashExpenditure180d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 200
                }
              ]
            },
            "cashExpenditure365d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 200
                }
              ]
            },
            "cryptocurrencyExpenditure90d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "cryptocurrencyExpenditure180d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "cryptocurrencyExpenditure365d": {
              "results": [
                {
                  "count": 2,
                  "days": 1,
                  "sumAmount": 800
                }
              ]
            },
            "debtManagementExpenditure90d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "debtManagementExpenditure180d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 300
                }
              ]
            },
            "debtManagementExpenditure365d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 300
                }
              ]
            },
            "debtCollectionExpenditure90d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "debtCollectionExpenditure180d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 200
                }
              ]
            },
            "debtCollectionExpenditure365d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 200
                }
              ]
            },
            "gamblingExpenditure90d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 100
                }
              ]
            },
            "gamblingExpenditure180d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 100
                }
              ]
            },
            "gamblingExpenditure365d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 100
                }
              ]
            },
            "gamblingIncome90d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 200
                }
              ]
            },
            "gamblingIncome180d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 200
                }
              ]
            },
            "gamblingIncome365d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 200
                }
              ]
            },
            "winningsIncome90d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "winningsIncome180d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 10
                }
              ]
            },
            "winningsIncome365d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 10
                }
              ]
            },
            "returnedPaymentsIncome90d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "returnedPaymentsIncome180d": {
              "results": [
                {
                  "count": 0,
                  "days": 0,
                  "sumAmount": 0
                }
              ]
            },
            "returnedPaymentsIncome365d": {
              "results": [
                {
                  "count": 1,
                  "days": 1,
                  "sumAmount": 600
                }
              ]
            }
          }
        }
      },
      "ReportId": {
        "type": "string",
        "description": "A human readable string representing the unique ID for the report."
      },
      "CategorisationVersion": {
        "type": "string",
        "enum": [
          "42.0.0",
          "43.0.0",
          "44.0.0"
        ],
        "description": "The version of the categorisation engine used to generate the report."
      },
      "ReportAggregateCount": {
        "type": "number",
        "description": "The count of transactions when the containing query is used."
      },
      "ReportAggregateSumAmount": {
        "type": "number",
        "description": "The sum of the amount of each transaction when the containing query is used."
      },
      "ReportAggregateDays": {
        "type": "number",
        "description": "The number of days on which there is at least one transaction when the containing query is used."
      }
    },
    "responses": {
      "ApiKeyUnauthorizedError": {
        "description": "API key authentication unsuccessful."
      }
    },
    "parameters": {
      "QueryUserId": {
        "in": "query",
        "name": "userId",
        "description": "The User ID.",
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "required": true,
        "example": "2590eaff-94dc-43f4-be30-bdab6c2cec8b"
      },
      "QueryAccountId": {
        "in": "query",
        "name": "accountId",
        "description": "Optional Account IDs. Can specify one or more values in order to aggregate over specific accounts. Leave out in order to aggregate over all user accounts.",
        "schema": {
          "type": "array",
          "items": {
            "type": "string",
            "format": "uuid"
          }
        },
        "style": "form",
        "required": false,
        "explode": true,
        "example": [
          "845c7468-123a-4139-a098-e3378c7598b2",
          "bdda349c-0c32-41e1-9020-7a4016668ae7"
        ]
      }
    }
  }
}
```